FILEFRAG(8)

NUME
filefrag - raportează fragmentarea fișierelor

SINOPSIS
filefrag [ -bdimensiune-bloc ] [ -BeEkPsvVxX ] [ fișiere... ]

DESCRIERE
filefrag raportează cât de fragmentat poate fi un anumit fișier. Aceasta ia în considerare blocurile indirecte pentru sistemele de fișiere ext2 și ext3, dar poate fi utilizată pentru fișiere din orice sistem de fișiere.

Inițial, programul filefrag încearcă să obțină informațiile despre extensie utilizând ioctl FIEMAP, care este mai eficient și mai rapid. Dacă FIEMAP nu este acceptat, atunci «filefrag» va reveni la utilizarea FIBMAP.

OPȚIUNI

-B  Forțează utilizarea ioctl-ului FIBMAP mai vechi în locul ioctl-ului FIEMAP în scopuri de testare.

-bdimensiune-bloc
    Utilizează dimensiune-bloc în octeți, sau cu sufixul [KMG], până la 1Go pentru ieșire în loc de dimensiunea blocurilor din sistemul de fișiere. Pentru compatibilitate cu versiunile anterioare ale filefrag, dacă argumentul dimensiune-bloc nu este specificat, valoarea implicită este de 1024 octeți. Deoarece dimensiune-bloc este un argument opțional, acesta trebuie adăugat fără spațiu după -b.

-e  Afișează ieșirea în format extindere „extent”, chiar și în cazul fișierelor repartizate pe blocuri.

-E  Afișează conținutul cache-ului de stare a extinderilor ext4. Această caracteristică nu este acceptată pe toate nucleele și este acceptată numai pentru sistemele de fișiere ext4.

-k  Utilizează dimensiunea blocurilor de 1024 de octeți pentru ieșire (identic cu „-b1024”).

-P  Încarcă în prealabil memoria cache de stare a extinderilor ext4 pentru fișier. Acest lucru nu este acceptat pe toate nucleele și este acceptat numai pe sistemele de fișiere ext4.

-s  Sincronizează fișierul înainte de a solicita cartografierea.

-v  Face ieșirea să fie mai descriptivă atunci când se verifică fragmentarea fișierelor.

-V  Imprimă numărul de versiune al programului și al bibliotecii. Dacă este dată de două ori, se afișează și fanioanele FIEMAP care sunt înțelese de versiunea curentă.

-x  Afișează cartografierea atributelor de extindere.

-X  Afișează numerele blocurilor de extindere în format hexazecimal.

AUTOR
filefrag a fost scris de Theodore Ts'o <tytso@mit.edu>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.